Bug 116470 - Pivot Table:Avoid styles in different languages to be unnecessarily registered
Summary: Pivot Table:Avoid styles in different languages to be unnecessarily registered
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-18 16:30 UTC by himajin100000
Modified: 2018-03-27 14:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample document to be used in "Steps To Reproduce" (11.47 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-03-18 16:32 UTC, himajin100000
Details

Note You need to log in before you can comment on or make changes to this bug.
Description himajin100000 2018-03-18 16:30:41 UTC
Description:
see steps to reproduce

Steps to Reproduce:
0. Make sure you have two or more UI Locales.
In my case, I had English(USA) and Japanese

1. Run LibreOffice
2, Tools->Options from the main menu
3. Language Settings -> Languages from the tree
4. Set User interface to Englsih and Click OK
5. Load the attached document
6. Select Sheet1!A1:F11
7. Insert->Pivot Table from the main menu
8. Click OK in the "Select Source" dialog
9. Drag "Section" and "Score" from "Available Fields" into "Row Fields"
10. Drag "Weight" into DataFields. The item will change into "Sum - Weight". Click OK.
11. Show styles sidebar by pressing F11
12. You will find "Pivot Table Category" style under "Default" Style.
13. Now save this file as "foobar.ods"
14, Tools->Options from the main menu
15. Language Settings -> Languages from the tree
16. Set User interface to Japanese and Click OK. Restart LibreOffice
17. Load "foobar.ods"
18. Repeat Step 6 to Step 11


Actual Results:  
You will see "ピボットテーブルのカテゴリー" style(Japanese translation of "Pivot Table Category") 
IN ADDITION TO the original "Pivot Table Category" style in English translation in "スタイル"(en-us:Style) sidebar

Expected Results:
You should only see "ピボットテーブルのカテゴリー"


Reproducible: Always


User Profile Reset: No



Additional Info:
I will write a patch.



User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:61.0) Gecko/20100101 Firefox/61.0
Comment 1 himajin100000 2018-03-18 16:32:26 UTC
Created attachment 140686 [details]
sample document to be used in "Steps To Reproduce"
Comment 2 himajin100000 2018-03-18 16:39:49 UTC
submission done.
https://gerrit.libreoffice.org/#/c/51511/
Comment 3 Commit Notification 2018-03-20 20:14:41 UTC
himajin100000 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=82aab78ccd0aab7502260124d330155a569c170e

tdf#116470:Convert between ProgName/DisplayName for pivot table style

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 himajin100000 2018-03-21 03:03:01 UTC
closing this one as RESOLVED FIXED

feel free to reopen if you find some problems
Comment 5 himajin100000 2018-03-22 22:57:12 UTC
Another submission.
https://gerrit.libreoffice.org/#/c/51727/
Comment 6 Commit Notification 2018-03-27 14:36:30 UTC
himajin100000 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8100a41597637165f364849e6964fdcf8906e5b7

tdf#116470:Apply BOLD to CJK/CTL pivot table style

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.